package com.mortals.xhx.module.matter.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.MatterDutyerVo;
/**
* 事项负责人实体对象
*
* @author zxfei
* @date 2023-03-21
*/

public class MatterDutyerEntity extends MatterDutyerVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 工作人员姓名
    */
    private String fullName;
    /**
    * 联系电话
    */
    private String phoneNumber;
    /**
    * 登录用户名
    */
    private String loginName;
    /**
    * 登录密码
    */
    private String loginPwd;
    /**
    * 所属部门
    */
    private Long deptId;
    /**
    * 所属部门名称
    */
    private String deptName;
    /**
    * 所属股室
    */
    private Long officeId;
    /**
    * 所属股室名称
    */
    private String officeName;
    /**
    * 性别1男2女
    */
    private Integer sexual;
    /**
    * 邮箱
    */
    private String email;
    /**
    * 职位
    */
    private String position;
    /**
    * 人员类型：1窗口工作人员2事项负责人
    */
    private Integer personType;
    /**
    * 最后一次登录时间
    */
    private Date lastLoginTime;



    public MatterDutyerEntity(){}
    /**
    * 获取 站点id
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点id
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 工作人员姓名
    * @return String
    */
    public String getFullName(){
        return fullName;
    }
    /**
    * 设置 工作人员姓名
    * @param fullName
    */
    public void setFullName(String fullName){
        this.fullName = fullName;
    }
    /**
    * 获取 联系电话
    * @return String
    */
    public String getPhoneNumber(){
        return phoneNumber;
    }
    /**
    * 设置 联系电话
    * @param phoneNumber
    */
    public void setPhoneNumber(String phoneNumber){
        this.phoneNumber = phoneNumber;
    }
    /**
    * 获取 登录用户名
    * @return String
    */
    public String getLoginName(){
        return loginName;
    }
    /**
    * 设置 登录用户名
    * @param loginName
    */
    public void setLoginName(String loginName){
        this.loginName = loginName;
    }
    /**
    * 获取 登录密码
    * @return String
    */
    public String getLoginPwd(){
        return loginPwd;
    }
    /**
    * 设置 登录密码
    * @param loginPwd
    */
    public void setLoginPwd(String loginPwd){
        this.loginPwd = loginPwd;
    }
    /**
    * 获取 所属部门
    * @return Long
    */
    public Long getDeptId(){
        return deptId;
    }
    /**
    * 设置 所属部门
    * @param deptId
    */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
    * 获取 所属部门名称
    * @return String
    */
    public String getDeptName(){
        return deptName;
    }
    /**
    * 设置 所属部门名称
    * @param deptName
    */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
    * 获取 所属股室
    * @return Long
    */
    public Long getOfficeId(){
        return officeId;
    }
    /**
    * 设置 所属股室
    * @param officeId
    */
    public void setOfficeId(Long officeId){
        this.officeId = officeId;
    }
    /**
    * 获取 所属股室名称
    * @return String
    */
    public String getOfficeName(){
        return officeName;
    }
    /**
    * 设置 所属股室名称
    * @param officeName
    */
    public void setOfficeName(String officeName){
        this.officeName = officeName;
    }
    /**
    * 获取 性别1男2女
    * @return Integer
    */
    public Integer getSexual(){
        return sexual;
    }
    /**
    * 设置 性别1男2女
    * @param sexual
    */
    public void setSexual(Integer sexual){
        this.sexual = sexual;
    }
    /**
    * 获取 邮箱
    * @return String
    */
    public String getEmail(){
        return email;
    }
    /**
    * 设置 邮箱
    * @param email
    */
    public void setEmail(String email){
        this.email = email;
    }
    /**
    * 获取 职位
    * @return String
    */
    public String getPosition(){
        return position;
    }
    /**
    * 设置 职位
    * @param position
    */
    public void setPosition(String position){
        this.position = position;
    }
    /**
    * 获取 人员类型：1窗口工作人员2事项负责人
    * @return Integer
    */
    public Integer getPersonType(){
        return personType;
    }
    /**
    * 设置 人员类型：1窗口工作人员2事项负责人
    * @param personType
    */
    public void setPersonType(Integer personType){
        this.personType = personType;
    }
    /**
    * 获取 最后一次登录时间
    * @return Date
    */
    public Date getLastLoginTime(){
        return lastLoginTime;
    }
    /**
    * 设置 最后一次登录时间
    * @param lastLoginTime
    */
    public void setLastLoginTime(Date lastLoginTime){
        this.lastLoginTime = lastLoginTime;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterDutyerEntity) {
            MatterDutyerEntity tmp = (MatterDutyerEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",fullName:").append(getFullName());
        sb.append(",phoneNumber:").append(getPhoneNumber());
        sb.append(",loginName:").append(getLoginName());
        sb.append(",loginPwd:").append(getLoginPwd());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",officeId:").append(getOfficeId());
        sb.append(",officeName:").append(getOfficeName());
        sb.append(",sexual:").append(getSexual());
        sb.append(",email:").append(getEmail());
        sb.append(",position:").append(getPosition());
        sb.append(",personType:").append(getPersonType());
        sb.append(",lastLoginTime:").append(getLastLoginTime());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.fullName = "";

            this.phoneNumber = "";

            this.loginName = "";

            this.loginPwd = "";

            this.deptId = null;

            this.deptName = "";

            this.officeId = null;

            this.officeName = "";

            this.sexual = 1;

            this.email = "";

            this.position = "";

            this.personType = 1;

            this.lastLoginTime = null;
    }
}