package com.mortals.xhx.module.apply.service.impl;
import com.mortals.framework.util.DataUtil;
import com.mortals.framework.util.SecurityUtil;
import com.mortals.framework.util.StringUtils;
import com.mortals.xhx.base.system.user.model.UserEntity;
import com.mortals.xhx.base.system.user.model.UserQuery;
import com.mortals.xhx.base.system.user.service.UserService;
import com.mortals.xhx.common.pdu.user.UserPhpPdu;
import com.mortals.xhx.module.apply.model.ApproverQuery;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.apply.dao.ApproverDao;
import com.mortals.xhx.module.apply.model.ApproverEntity;
import com.mortals.xhx.module.apply.service.ApproverService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.util.CollectionUtils;
import org.springframework.util.ObjectUtils;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
* ApproverService
* 单事项审批人员 service实现
*
* @author zxfei
* @date 2023-05-23
*/
@Service("approverService")
@Slf4j
public class ApproverServiceImpl extends AbstractCRUDServiceImpl<ApproverDao, ApproverEntity, Long> implements ApproverService {

    @Autowired
    private UserService userService;

    @Override
    public void updateUserList(List<UserPhpPdu> list) {
        if(!CollectionUtils.isEmpty(list)){
            List<Long> userIdList = new ArrayList<>();
            for(UserPhpPdu phpPdu:list){
//                if(!phpPdu.getType().equals("2")){
//                    continue;
//                }
                ApproverEntity tempUser = this.selectOne(new ApproverQuery().loginName(phpPdu.getAccount()));
                if (ObjectUtils.isEmpty(tempUser)) {
                    //新增
                    ApproverEntity approverEntity = new ApproverEntity();
                    approverEntity.setFullName(phpPdu.getUser_name());
                    approverEntity.setLoginName(phpPdu.getAccount());
                    try {
                        approverEntity.setLoginPwd(SecurityUtil.md5DoubleEncoding(phpPdu.getPassword()));
                    } catch (Exception e) {
                        throw new AppException("密码转换异常！", e);
                    }
                    approverEntity.setPhoneNumber(phpPdu.getMobile());
                    approverEntity.setSiteId(1l);
                    approverEntity.setCreateTime(new Date());
                    dao.insert(approverEntity);
                    userIdList.add(approverEntity.getId());
                } else {
                    //更新
                    ApproverEntity approverEntity = new ApproverEntity();
                    approverEntity.setId(tempUser.getId());
                    approverEntity.setFullName(phpPdu.getUser_name());
                    approverEntity.setLoginName(phpPdu.getAccount());
                    try {
                        approverEntity.setLoginPwd(SecurityUtil.md5DoubleEncoding(phpPdu.getPassword()));
                    } catch (Exception e) {
                        throw new AppException("密码转换异常！", e);
                    }
                    approverEntity.setPhoneNumber(phpPdu.getMobile());
                    approverEntity.setUpdateTime(new Date());
                    dao.update(approverEntity);
                    userIdList.add(tempUser.getId());
                }
            }
            if(userIdList.size()>0){
                dao.deleteNotIn(userIdList);
            }
        }
    }

    @Override
    public String getDeptCodeByUser(Long userId) throws AppException {
//        UserEntity userEntity = userService.get(userId);
//        if(userEntity==null){
//            throw new AppException("用户id不正确,找不到对应的用户信息");
//        }
//        ApproverEntity approverEntity = this.selectOne(new ApproverQuery().loginName(userEntity.getLoginName()));
//        if(approverEntity==null){
//            throw new AppException("该用户不是预审工作人员");
//        }
//        if(StringUtils.isEmpty(approverEntity.getDeptCode())){
//            throw new AppException("该工作人员没有配置管辖部门");
//        }
//        return approverEntity.getDeptCode();
        return null;
    }
}