package com.mortals.xhx.module.apply.service.impl;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.apply.dao.MatterApplyDatumDao;
import com.mortals.xhx.module.apply.model.MatterApplyDatumEntity;
import com.mortals.xhx.module.apply.service.MatterApplyDatumService;
import lombok.extern.slf4j.Slf4j;

import java.util.*;

/**
* MatterApplyDatumService
* 事项申报材料 service实现
*
* @author zxfei
* @date 2023-05-23
*/
@Service("matterApplyDatumService")
@Slf4j
public class MatterApplyDatumServiceImpl extends AbstractCRUDServiceImpl<MatterApplyDatumDao, MatterApplyDatumEntity, Long> implements MatterApplyDatumService {

    @Override
    public int remobeByApplyIds(Long[] applyIds, Context context) throws AppException {
        if(applyIds != null) {
            List<Long> applyIdList = new ArrayList<>(applyIds.length);
            Collections.addAll(applyIdList,applyIds);
            Map<String, Object> condition = new HashMap();
            condition.put("applyIdList", applyIdList);
            return dao.delete(condition);
        }else {
            return 0;
        }
    }
}