package com.mortals.xhx.module.dept.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.dept.model.vo.DeptOfficeVo;
/**
* 股室管理实体对象
*
* @author zxfei
* @date 2023-03-01
*/

public class DeptOfficeEntity extends DeptOfficeVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 所属部门
    */
    private Long deptId;
    /**
    * 所属部门名称
    */
    private String deptName;
    /**
    * 股室名称
    */
    private String officeName;



    public DeptOfficeEntity(){}
    /**
    * 获取 站点id
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点id
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 所属部门
    * @return Long
    */
    public Long getDeptId(){
        return deptId;
    }
    /**
    * 设置 所属部门
    * @param deptId
    */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
    * 获取 所属部门名称
    * @return String
    */
    public String getDeptName(){
        return deptName;
    }
    /**
    * 设置 所属部门名称
    * @param deptName
    */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
    * 获取 股室名称
    * @return String
    */
    public String getOfficeName(){
        return officeName;
    }
    /**
    * 设置 股室名称
    * @param officeName
    */
    public void setOfficeName(String officeName){
        this.officeName = officeName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeptOfficeEntity) {
            DeptOfficeEntity tmp = (DeptOfficeEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",officeName:").append(getOfficeName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.deptId = null;

            this.deptName = "";

            this.officeName = "";
    }
}